Skip to main content
PATCH
Update Customer
The PATCH request is used to partially update an existing entity by the given id. This means:
  • Only the fields provided in the request body will be updated.
  • Fields not provided in the request body will remain unchanged.
  • The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.

Authorizations

X-API-Key
string
header
required

API Key for authentication

Path Parameters

id
string
required

id

Body

application/json

request

company_name
string
Maximum string length: 255
Example:

"Company Name"

display_id
string

This is the display ID of the customer, it is generated by the system if not provided.

Maximum string length: 255
Example:

"1234567890"

display_name
string
Maximum string length: 255
Example:

"Customer Display Name"

freight_term
string
Maximum string length: 255
shipping_method
string
Maximum string length: 255
payment_mode
string
Maximum string length: 255
payment_term
string
Maximum string length: 255
primary_contact_id
string
default_shipping_address_id
string
default_billing_address_id
string
reference_id
string
Maximum string length: 255
Example:

"CUS123"

assigned_sales_rep_ids
string[]

List of sales rep ids, sales rep id is a uuid can be queried from sales rep api

Minimum array length: 1
assigned_price_list_id
string

Price list id is a uuid can be queried from price list api

first_name
string
Maximum string length: 255
Example:

"John"

last_name
string
Maximum string length: 255
Example:

"Doe"

phone
string

Phone number in E.164 format

Example:

"+14155552671"

email
string
Example:

"john.doe@example.com"

addresses
object[]
contacts
object[]
attributes
object[]

Response

Created

data
object